Node('cyrosim.psi.ch',
     'cryo simulation (similar ppms simulation)',
)

Mod('tt',
    'frappy_psi.ppms.Temp',
    'main temperature',
    meaning=('temperature_regulation', 10),
    ramp=20.0,
    io='ppms',
)

Mod('lev',
    'frappy_psi.ppms.Level',
    'helium level',
    io='ppms',
)

Mod('ts',
    'frappy_psi.ppms.UserChannel',
    'sample temperature',
    enabled=True,
    linkenable='tv',
    value=Param(
        unit='K',
    ),
    meaning=('temperature', 10),
    io='ppms',
)

Mod('tv',
    'frappy_psi.ppms.UserChannel',
    'exchanger temperature',
    enabled=True,
    linkenable='ts',
    value=Param(
        unit='K',
    ),
    io='ppms',
)

Mod('ppms',
    'frappy_psi.ppms.Main',
    'the main and poller module',
    class_id='QD.MULTIVU.PPMS.1',
    visibility='expert',
    pollinterval=2.0,
    export=False,
)
